%global momorel 3

%global xfce4ver 4.6.1
%global exover 0.3.101

Summary:	 X Terminal Emulator
Name:		 Terminal
Version:	 0.2.12
Release:	 %{momorel}m%{?dist}
License:	 GPL
URL:		 http://terminal.os-cillation.com/
Group:		 User Interface/X
#Source0: http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Source0:	 http://www.xfce.org/archive/xfce-%{xfce4ver}/src/%{name}-%{version}.tar.bz2
NoSource:	 0

BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: vte-devel >= 0.20.5
BuildRequires: exo-devel >= %{exover}
BuildRequires: libSM-devel
BuildRequires: gettext
BuildRequires: w3c-libwww-devel
BuildRequires: startup-notification-devel
BuildRequires: dbus-glib-devel
Requires: w3c-libwww

%description
Terminal is a lightweight and easy to use terminal emulator application
for the X windowing system, with some new ideas and features that make 
it unique among X terminal emulators. 

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make

%install
rm -rf %{buildroot}
%make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

#tmp
#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS HACKING THANKS
%{_bindir}/Terminal
%{_bindir}/terminal
#%%{_datadir}/Terminal/apps/*
%{_datadir}/doc/Terminal/terminal.css
%dir %{_datadir}/doc/Terminal
%{_datadir}/doc/Terminal/C/*
%{_datadir}/doc/Terminal/ja/*
%{_datadir}/doc/Terminal/fr/*
%{_datadir}/icons/hicolor/48x48/apps/Terminal.png
%{_datadir}/icons/hicolor/scalable/apps/Terminal.svg
#%%dir %{_datadir}/icons/hicolor/*/stock/navigation
%{_datadir}/icons/hicolor/*/stock/navigation/*.png
%{_datadir}/pixmaps/terminal.xpm
%{_datadir}/Terminal/Terminal-toolbars.ui
#%%{_datadir}/Terminal/Terminal.ui
%{_datadir}/applications/Terminal.desktop
%{_datadir}/locale/*/*/*
%{_mandir}/man1/Terminal.1*
%{_libexecdir}/TerminalHelp

%changelog
* Wed Jun 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.12-3m)
- rebuild against vte-0.20.5

* Tue Jun  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.12-2m)
- rebuild against vte-0.20.4

* Mon Apr 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.12-1m)
- update
- rebuild against xfce4-4.6.1

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.10-1m)
- update
- rebuild against xfce4-4.6.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.8-4m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-3m)
- add autoreconf for  libtool-1.5.26

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.8-2m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.8-1m)
- update
- rebuild against xfce4 4.4.2

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-3m)
- Requires: w3c-libwww, BuildRequires: w3c-libwww-devel

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.6-2m)
- rebuild against xfce4 4.4.1

* Sun Jan 28 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.6-1m)
- import to Momonga from fc

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.6-1
- Upgrade to 0.2.6

* Thu Nov 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.8-0.2.rc2
- Add startup-notification-devel and dbus-glib-devel to BuildRequires

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.8-0.1.rc2
- Update to 0.2.5.8rc2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.4.rc1
- Added gtk-update-icon-cache to post/postun

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.3.rc1
- Bump release for devel checkin

* Thu Sep  7 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.2.rc1
- Bump release for xfce rc repo

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.1.rc1
- Upgrade to 0.2.5.6-0.1.rc1

* Sun Aug 13 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.2.beta2
- Bump release for 4.4 beta repo

* Wed Aug  2 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.1.beta2
- Fix release

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.beta2
- Update to 0.2.5.4-0.beta2

* Fri Jun 23 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.1-0.beta1.fc6
- Update to 0.2.5.1-0.beta1

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.4-6.fc5
- Rebuild for fc5

* Wed Aug 17 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-5.fc5
- Rebuild for new libcairo and libpixman

* Thu Aug  4 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-4.fc5
- Add dist tag

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-3
- Removed incorrect Requires
- Changed the description text

* Fri May 27 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-2
- Fix group to be User Interface/X

* Sat Mar 19 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-1
- Upgraded to 0.2.4 version
- Added Terminal/apps desktops files. 

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.2-2
- Fixed to use %%find_lang
- Removed generic INSTALL from %%doc
- Change description wording: "makes it" to "make it"
- Fixed to include terminal.css 

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.2-1
- Inital Fedora Extras version
